Subject: Re: Announce: New Debian FAQ

From: Ian Jackson <[email-masked]>
Date: Sun, 1 Sep 96 16:49 BST

Sven Rudolph writes ("Announce: New Debian FAQ"):
> The new Debian FAQ is now at ftp://ftp.debian.org/debian/doc/FAQ/ .
...
> When you encounter mistakes or want to provide comments or suggestions
> please send it via e-mail to [email-masked]
...

My comments:

4.4 How should I install a non-Debian package?                        

The hyperlink to the guidelines is broken and should in any case refer
to the new manuals instead.

5.9 How can I check that I'm using a Debian system?                   

Your check for whether something is a Debian system is wrong.  If you
want to know whether the system has dpkg you should check for `dpkg'
on the path or in /usr/bin.  Data formats and files in /var/lib/dpkg
may change without warning.  If you want to know whether the system is
a real Debian system then /etc/debian_version is the answer.

6.1 What is a Debian package?

The source package format is changing.  You should tell people about
dpkg-source, and/or give the instructions for unpacking a Debian
source package without it.

6.2 What is the format of a Debian package?

The internal structure of a .deb file is NOT a generally published
interface.  Please DO NOT put it in the FAQ (it's fine to refer to the
deb(5) and deb-old(5) manpages

Instead, tell people to use dpkg-deb.  dpkg-deb is the supported
mechanism for manipulating .deb files.

6.4 What's a Debian control file?                                      

Refer to the programmers' manual, not to deb-control(5).  The latter
is wildly out of date.  If you wish to give an example, please use
mixed case in the field names (this is conventional now, and all upper
case can give some obscure problems in some obscure situations).

6.6 What's a Debian preinst, postinst, prerm, and postrm script?      

The layout of /var/lib/dpkg is internal to dpkg and may change without
announcement at any moment.  You should at least say this - though it
can be useful for users to know where to find scripts for debugging &c
they should not write programs that look at /var/lib/dpkg.

The supported way to get a list of files in a package is dpkg -L.

6.7 What's a Required/Important/Standard/Optional/Extra package?        

This information is also in the policy manual, phrased slightly
differently.  I don't know what you want to do about this, if
anything.

6.8 What's a Virtual Package?                                            
6.9 What is meant by saying that a file                                         
Depends/Recommends/Suggests/Conflicts/Replaces/Provides another package ?
6.10 What is meant by Pre-Depends?                     

These things are now documented in the programmers' manual.  You could
perhaps at least mention these.  Obviously they have a different
significance for users than for programmers, so perhaps it's
reasonable to have two different descriptions.

7.1 What program(s) does Debian provide for managing its packages?      

You've mentioned /var/lib/dpkg again.

Removing a package (as opposed to purging it) leaves _all_ the
configuration info, not just those marked as dpkg conffiles.  Other
kinds of configuration are managed by maintainer scripts, but they
should behave the same way wrt purge vs. remove.

8.7 How can I get/install the Debian distribution from my own hard disk?

Hard disk based installation (ie, mounting a hard disk partition and
installing the packages from it) is supported by dselect.

8.10 What's the latest version of Debian?

You have no information here about 1.1.x (aka buzz-fixed).  Also, you
say `three months from today' where `today' means about 2 months ago.

11.4 How do I override a file installed by a package so that a different
version can be used instead?                                          

Your invocation of dpkg-divert (not dpkg-override) is entirely wrong.
You mean
  dpkg-divert --add /bin/login
or
  dpkg-divert --divert /bin/login.debian /bin/login
or
  dpkg-divert --rename /bin/login
or some combination of these.

The documentation is in the usage message for dpkg-divert and in the
appropriate section of the programmers' manual.  The diversions.txt.gz
file is obsolete and not installed any more.

11.5 How can I have my locally-built package included in the list of available
packages that the package management system knows about?                

You can use dselect's idea of `local hierarchies' here too.

13.1 Are there logs of known bugs?       

debian-bugs/text no longer exists; debian-bugs/html is simply a link
into WebPages.

Ian.